package api

import (
	"boostai-backend/internal/handlers/api/admin"
	"boostai-backend/internal/handlers/api/answers"
	"boostai-backend/internal/handlers/api/assignments"
	"boostai-backend/internal/handlers/api/classrooms"
	"boostai-backend/internal/handlers/api/messages"
	"boostai-backend/internal/handlers/api/questions"
	"boostai-backend/internal/handlers/api/users"
	authmw "boostai-backend/internal/middleware"

	"github.com/gofiber/fiber/v2"
)

func (h *Handler) Register(app fiber.Router, auth *authmw.AuthMiddleware) {
	users.RegisterRoutes(app, auth, h.users)
	classrooms.RegisterRoutes(app, auth, h.classrooms)
	messages.RegisterRoutes(app, auth, h.messages)
	questions.RegisterRoutes(app, auth, h.questions)
	assignments.RegisterRoutes(app, auth, h.assignments)
	answers.RegisterRoutes(app, auth, h.answers)
	admin.RegisterRoutes(app, auth, h.admin)
}
